﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;

<table border="0" width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td style="padding-right:10px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Manifest No";
                    
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ManisfestbarcodeNo";
                    edtSettings.ToolTip = "Press Enter to Submit";
                    edtSettings.TabIndex = 0;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                    edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownManifestNo";
                    edtSettings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                    edtSettings.Properties.ValidationSettings.RequiredField.ErrorText = "Manifest No must have value";
                    edtSettings.Properties.ValidationSettings.ValidationGroup = "SpinEditVal";
                    edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Right;
                }).GetHtml()
        </td>          
    </tr> 
    <tr>
        <td></td>
        <td align="right" style="padding-top: 10px;padding-right:26px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnReceive";
                    settings.TabIndex = 1;
                    settings.ToolTip = "Alt + Y";
                    settings.Text = "Receive";
                    settings.Width = 78;
                    //settings.Width = Unit.Percentage(100);
                    //settings.Height = Unit.Pixel(37);
                    settings.UseSubmitBehavior = true;
                    //settings.ControlStyle.Font.Size = FontUnit.XLarge;
                    settings.ClientSideEvents.Click = "ReceiveDetail";
                    settings.CausesValidation = true;
                    settings.ValidationGroup = "SpinEditVal";
                }
            ).GetHtml()
        </td>
    </tr>    
</table>